Description

Before update to the latest update of katello that include foreman  1.12.4  i was able to deploy vm with a image on VMware 6.0 now i

just getting the following error message:

2016-11-03 20:29:07 [app] [W] Failed to create a compute vmWARE (VMware) instance test.loc: (<unkn

own>): could not find expected ':' while scanning a simple key at line 83 column 1

 |

 | Psych::SyntaxError: (<unknown>): could not find expected ':' while scanning a simple key at lin

e 83 column 1

 | /opt/rh/rh-ruby22/root/usr/share/ruby/psych.rb:370:in `parse'

 | /opt/rh/rh-ruby22/root/usr/share/ruby/psych.rb:370:in `parse_stream'

 | /opt/rh/rh-ruby22/root/usr/share/ruby/psych.rb:318:in `parse'

 | /opt/rh/rh-ruby22/root/usr/share/ruby/psych.rb:245:in `load'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-0.7.0/lib/fog/vsphere/requests/compute

/cloudinit_to_customspec.rb:8:in `cloudinit_to_customspec'

 | /usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb:403:in `clone_vm'

 | /usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb:361:in `create_vm'

 | /usr/share/foreman/app/models/concerns/orchestration/compute.rb:82:in `setCompute'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:162:in `execute'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:107:in `block in process'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:99:in `each'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:99:in `process'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:35:in `on_save'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:164:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:164:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:504:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:504:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:504:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:504:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:92:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:778:in `_run_save_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/callbacks.rb

:302:in `create_or_update'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/persistence.

rb:120:in `save'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/validations.

rb:37:in `save'
 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/attribute_me

thods/dirty.rb:21:in `save'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:286:in `block (2 levels) in save'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:351:in `block in with_transaction_returning_status'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_a

dapters/abstract/database_statements.rb:213:in `block in transaction'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_a

dapters/abstract/transaction.rb:184:in `within_new_transaction'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_a

dapters/abstract/database_statements.rb:213:in `transaction'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:220:in `transaction'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:348:in `with_transaction_returning_status'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:286:in `block in save'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:301:in `rollback_active_record_state!'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:285:in `save'

 | /usr/share/foreman/app/models/concerns/foreman/sti.rb:29:in `save_with_type'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.7.18/app/models/foreman_tasks/conc

erns/action_triggering.rb:29:in `block in save_with_dynflow_task_wrap'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.7.18/app/models/foreman_tasks/conc

erns/action_triggering.rb:133:in `dynflow_task_wrap'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.7.18/app/models/foreman_tasks/conc

erns/action_triggering.rb:29:in `save_with_dynflow_task_wrap'

 | /usr/share/foreman/app/controllers/hosts_controller.rb:91:in `create'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/impl

icit_render.rb:4:in `send_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:

198:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rend

ering.rb:10:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callback

s.rb:20:in `block in process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:117:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:117:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:555:in `block (2 levels) in compile'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_c

ontroller/caching/sweeping.rb:73:in `around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:455:in `public_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:455:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.
rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_c

ontroller/caching/sweeping.rb:73:in `around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:455:in `public_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:455:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'
 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:92:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:778:in `_run_process_action_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:81:in `run_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callback

s.rb:19:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/resc

ue.rb:29:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/inst

rumentation.rb:32:in `block in process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notificati

ons.rb:164:in `block in instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notificati

ons/instrumenter.rb:20:in `instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notificati

ons.rb:164:in `instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/inst

rumentation.rb:30:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/para

ms_wrapper.rb:250:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/railties/con

troller_runtime.rb:18:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:

137:in `process'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionview-4.2.5.1/lib/action_view/rendering.rb:30:

in `process'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:1

96:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rack

_delegation.rb:13:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:2

37:in `block in action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:74:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:74:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:43:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/rout

er.rb:43:in `block in serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/rout

er.rb:30:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/rout

er.rb:30:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:815:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/lib/apipie/static_dispatcher.rb

:65:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/lib/apipie/extractor/recorder.r

b:132:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s
tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/lib/apipie/middleware/checksum_

in_headers.rb:27:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/etag.rb:24:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/conditionalget.rb:38:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/head.rb:13:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/p

arams_parser.rb:27:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/f

lash.rb:260:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:225:in `

context'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:220:in `

call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/c

ookies.rb:560:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/query_cache.

rb:36:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_a

dapters/abstract/connection_pool.rb:653:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/c

allbacks.rb:29:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:88:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:778:in `_run_call_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:81:in `run_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/c

allbacks.rb:27:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/r

emote_ip.rb:78:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/d

ebug_exceptions.rb:17:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

how_exceptions.rb:30:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:38:in `ca

ll_app'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:22:in `ca

ll'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/r

equest_id.rb:21:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/methodoverride.rb:22:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/runtime.rb:18:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/cache/stra

tegy/local_cache_middleware.rb:28:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/sendfile.rb:113:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/engine.rb:518:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/application.rb:165:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `publi

c_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `metho

d_missing'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:66:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `call'

 | /usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'
 | /usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_pro

cess_next_request'

 | /usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

 | /usr/share/passenger/phusion_passenger/request_handler.rb:455:in `block (3 levels) in start_thr

eads'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:32

3:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:32

3:in `block in create_with_logging_context'

2016-11-03 20:29:08 [app] [I] Started GET "/tasks/5d245166-7a8c-4a16-aafd-540d642aab8a" for 10.210

.140.10 at 2016-11-03 20:29:08 +0100

2016-11-03 20:29:08 [app] [I] Processing by TasksController#show as */*

2016-11-03 20:29:08 [app] [I]   Parameters: {"id"=>"5d245166-7a8c-4a16-aafd-540d642aab8a"}

2016-11-03 20:29:08 [app] [I]   Rendered tasks/_list.html.erb (0.3ms)

2016-11-03 20:29:08 [app] [I] Completed 200 OK in 7ms (Views: 0.7ms | ActiveRecord: 1.0ms)

2016-11-03 20:29:08 [app] [I] Failed to save: Failed to create a compute vmWARE (VMware) instance 

test.loc: (<unknown>): could not find expected ':' while scanning a simple key at line 83 column 1

History

#1 - 11/07/2016 12:28 PM - Anonymous

- Project changed from Katello to Foreman

- Subject changed from Can't deploy anymove Before update to the latest update of katello that include foreman  1.12.4  i was able to deploy vm with

a image on VMware 6.0 now i just getting the following  to deploying VM from an image on VMware 6.0 fails

- Category changed from Hosts to Compute resources - VMware

- translation missing: en.field_release deleted (162)

- Difficulty deleted (easy)

#2 - 11/08/2016 03:41 AM - Dominic Cleal

- Description updated

- Status changed from New to Feedback

There is a syntax error in the user data template, which for VMware image provisioning is a YAML file. Preview the template from the host page and

check for syntax errors around line 83.

#3 - 11/09/2016 04:48 PM - Mario Gamboa

Sorry dominic for the delay this is the user data is the clone of katello user data arround the 83 is this

<%= indent 4 do

snippet 'puppet.conf'

end %>

i don't see any : in this configuration that is needed attached the configuration

<%#

kind: user_data

name: Katello Kickstart default user data

oses:

- CentOS 6

- CentOS 7

- Fedora 19

- Fedora 20

- Fedora 21

- Fedora 22

- Fedora 23

->

#cloud-config

hostname: <= @host.shortname >

fqdn: <= @host %>

manage_etc_hosts: true

groups:

- admin

users:

- default

- name: admin
primary-group: admin

groups: users

shell: /bin/bash

sudo: ['ALL=(ALL) ALL']

lock-passwd: false

passwd: <%= @host.root_pass %>

<%# Allow user to specify additional SSH key as host paramter >

< if @host.params['sshkey'].present? || @host.params['remote_execution_ssh_keys'].present? ->

ssh_authorized_keys:

< if @host.params['sshkey'].present? ->

- <= @host.params['sshkey'] >

< end ->

< if @host.params['remote_execution_ssh_keys'].present? ->

< @host.params['remote_execution_ssh_keys'].each do |key| ->

- <= key >

< end ->

< end ->

< end ->

write_files:

path: /tmp/foreman-userdata.sh

permissions: '0755'

content: |

#!/bin/bash

<= indent 4 do

snippet 'subscription_manager_registration'

end >

< if @host.info['parameters']['realm'] && @host.realm && @host.realm.realm_type == 'FreeIPA' ->

<= indent 4 do

snippet 'freeipa_register'

end >

< end ->

< unless @host.operatingsystem.atomic? -%>     # update all the base packages from the updates repository

yum -t -y -e 0 update

<% end ->

<   # safemode renderer does not support unary negation

non_atomic = @host.operatingsystem.atomic? ? false : true

pm_set = @host.puppetmaster.empty? ? false : true

puppet_enabled = non_atomic && (pm_set || @host.params['force-puppet'])

salt_enabled = non_atomic && (@host.params['salt_master'] ? true : false)

>

< if salt_enabled >

yum -t -y -e 0 install salt-minion

cat > /etc/salt/minion << EOF

<= indent 4 do

snippet 'saltstack_minion'

end %>

EOF     # Setup salt-minion to run on system reboot

/sbin/chkconfig --level 345 salt-minion on     # Running salt-call to trigger key signing

salt-call --no-color --grains >/dev/null

<% end ->

< if puppet_enabled >

yum install -y puppet

cat > /etc/puppet/puppet.conf << EOF

<= indent 4 do

snippet 'puppet.conf'

end %>

EOF     # Setup puppet to run on system reboot

/sbin/chkconfig --level 345 puppet on

/usr/bin/puppet agent --config /etc/puppet/puppet.conf --onetime --tags no_such_tag <%= @host.puppetmaster.bla

nk? ? '' : "--server #{@host.puppetmaster}" > --no-daemonize

    /sbin/service puppet start

< end ->

phone_home:

 url: <= foreman_url('built') %>

 post: []

 tries: 10

runcmd:

 - [ cloud-init-per, once, foreman-userdata, /tmp/foreman-userdata.sh ]

output: {all: '| tee -a /root/install.userdata.log'}

#4 - 11/09/2016 05:03 PM - Mario Gamboa

also i get the following error in katello
Failed to create a compute vmWARE (VMware) instance imagetest.loc: globalIPSettings are required when using Customization Spec

#5 - 11/09/2016 05:13 PM - Mario Gamboa

also this Failed to create a compute vmWARE (VMware) instance imagetes.loc: guiUnattended is required when using Sysprep identity

#6 - 11/09/2016 05:15 PM - Mario Gamboa

This happen with Vmware 6 because with vmware 5.5 doesn't have this issue apparently for vmware 6.0 they change the API and need more options

and currently the katello user data is not up to date possible someone can take a look to the user data file and try deploy via vmware 6.0

#7 - 11/10/2016 03:12 AM - Dominic Cleal

The new errors above suggest you've fixed the original syntax issue and now you're using an unsuitable template.

The user data template you pasted is not suitable for use with vSphere which cannot take scripts etc, only cloud-init can on other platforms. Foreman

doesn't provide a vSphere user data template by default, you will have to find an existing one (e.g. 

https://www.inovex.de/blog/deploying-windows-server-with-foreman-in-vsphere/).

#8 - 11/15/2016 05:09 AM - Mario Gamboa

Hi Dominic

The question here is why is no working before was working fine with my image i just testing in a old vmware 5.5 and i don't need anything more is

works as expected is something that we need to pass to vmware 6.0 ? because the link is for windows server i trying to deploy linux server no

windows

#9 - 11/15/2016 05:10 AM - Mario Gamboa

Also the image i'm using have cloud-init ready installed :)

#10 - 11/15/2016 05:18 AM - Dominic Cleal

Mario Gamboa wrote:

The question here is why is no working before was working fine with my image i just testing in a old vmware 5.5 and i don't need anything more

is works as expected is something that we need to pass to vmware 6.0 ?

 Without any more data about the precise user data template, I don't see how I can answer that.

You seem to be testing multiple different things and getting different errors.

1. The error in the description will probably occur on all versions as it's a syntax error, using a non-YAML template for a customisation spec.

2. The item in comment #4 is required for all versions when using VMware image provisioning.

3. The item in comment #5 is required when you specify Sysprep, which is used for Windows provisioning with VMware images. Don't specify

Sysprep if you're not provisioning Windows.

Also the image i'm using have cloud-init ready installed :)

 cloud-init is not used in VMware image provisioning.

The user data template must be a YAML document, we don't provide docs for its format (which is determined by fog-vsphere). A shell/finish script is

not suitable.

#11 - 11/16/2016 05:02 PM - Mario Gamboa

Hi dominic as you can see the user data template was paste after my following comment

Sorry dominic for the delay this is the user data is the clone of katello user data arround the 83 is this

<%= indent 4 do

snippet 'puppet.conf'

end %>

i don't see any : in this configuration that is needed attached the configuration

######################################################

Here is the user default template

####################################################

<%#

kind: user_data
name: Katello Kickstart default user data

oses:

- CentOS 6

- CentOS 7

- Fedora 19

- Fedora 20

- Fedora 21

- Fedora 22

- Fedora 23

->

#cloud-config

hostname: <= @host.shortname >

fqdn: <= @host %>

manage_etc_hosts: true

groups:

- admin

users:

- default

- name: admin

primary-group: admin

groups: users

shell: /bin/bash

sudo: ['ALL=(ALL) ALL']

lock-passwd: false

passwd: <%= @host.root_pass %>

<%# Allow user to specify additional SSH key as host paramter >

< if @host.params['sshkey'].present? || @host.params['remote_execution_ssh_keys'].present? ->

ssh_authorized_keys:

< if @host.params['sshkey'].present? ->

- <= @host.params['sshkey'] >

< end ->

< if @host.params['remote_execution_ssh_keys'].present? ->

< @host.params['remote_execution_ssh_keys'].each do |key| ->

- <= key >

< end ->

< end ->

< end ->

write_files:

path: /tmp/foreman-userdata.sh

permissions: '0755'

content: |

#!/bin/bash

<= indent 4 do

snippet 'subscription_manager_registration'

end >

< if @host.info['parameters']['realm'] && @host.realm && @host.realm.realm_type == 'FreeIPA' ->

<= indent 4 do

snippet 'freeipa_register'

end >

< end ->

< unless @host.operatingsystem.atomic? -%> # update all the base packages from the updates repository

yum -t -y -e 0 update

<% end ->

< # safemode renderer does not support unary negation

non_atomic = @host.operatingsystem.atomic? ? false : true

pm_set = @host.puppetmaster.empty? ? false : true

puppet_enabled = non_atomic && (pm_set || @host.params['force-puppet'])

salt_enabled = non_atomic && (@host.params['salt_master'] ? true : false)

>

< if salt_enabled >

yum -t -y -e 0 install salt-minion

cat > /etc/salt/minion << EOF

<= indent 4 do

snippet 'saltstack_minion'

end %>

EOF # Setup salt-minion to run on system reboot

/sbin/chkconfig --level 345 salt-minion on # Running salt-call to trigger key signing

salt-call --no-color --grains >/dev/null

<% end ->

< if puppet_enabled >

yum install -y puppet

cat > /etc/puppet/puppet.conf << EOF
<= indent 4 do

snippet 'puppet.conf'

end %>

EOF # Setup puppet to run on system reboot

/sbin/chkconfig --level 345 puppet on

/usr/bin/puppet agent --config /etc/puppet/puppet.conf --onetime --tags no_such_tag <%= @host.puppetmaster.bla

nk? ? '' : "--server #{@host.puppetmaster}" > --no-daemonize

    /sbin/service puppet start

< end ->

phone_home:

 url: <= foreman_url('built') %>

 post: []

 tries: 10

runcmd:

 - [ cloud-init-per, once, foreman-userdata, /tmp/foreman-userdata.sh ]

output: {all: '| tee -a /root/install.userdata.log'}

###################################################

 as i said before is working fine on VMware 5.5 but in VMware 6 is looking for some more parameters like a globalIP settings

#12 - 11/17/2016 03:01 AM - Dominic Cleal

Line 83 of the previewed file will be different to line 83 of the original. The error is on line 83 of the preview.

#13 - 05/17/2017 11:44 AM - Anonymous

- Status changed from Feedback to Resolved
